package com.xhkjedu.sapi.service.analyze;

import com.xhkjedu.sapi.mapper.analyze.SchoolSummaryMapper;
import com.xhkjedu.sapi.mapper.system.SchoolMapper;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.sapi.vo.analyze.SchoolParams;
import com.xhkjedu.sapi.vo.analyze.SchoolSummaryVo;
import com.xhkjedu.sapi.vo.region.RRoomVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @ClassName SchoolSummaryService
 * Description TODO 数据汇总
 * Author WN
 * Date 2020/10/14 14:41
 **/
@Service
public class SchoolSummaryService {
    @Autowired
    private SchoolSummaryMapper schoolSummaryMapper;
    @Resource
    private SchoolMapper schoolMapper;

    //数据汇总
    public List<SchoolSummaryVo> schoolSummary2(SchoolParams params) {
        Integer year = schoolMapper.getYearById(params.getSchoolid());
        params.setYear(year);
        List<SchoolSummaryVo> users = schoolSummaryMapper.listUser(params);
        for (SchoolSummaryVo user : users) {
            Integer userid = user.getUserid();
            params.setCreateid(userid);
            //作业统计
            SchoolSummaryVo paper = schoolSummaryMapper.getPaperAnalyze(params);
            user.setPfabunum(paper.getPfabunum());
            Integer stunum = paper.getPstunum();
            user.setPstunum(stunum);
            Integer commitnum = paper.getPcommitnum();
            user.setPcommitnum(commitnum);
            user.setPcommitrate(N_Utils.getIntegerDivideAndMulitiply(commitnum, stunum));
            Integer checknum = paper.getPchecknum();
            user.setPchecknum(checknum);
            user.setPcheckrate(N_Utils.getIntegerDivideAndMulitiply(checknum,commitnum));
            user.setPquestionnum(paper.getPquestionnum());

            //资源统计
            SchoolSummaryVo resource = schoolSummaryMapper.getResourceAnalyze(params);
            user.setZytotal(resource.getZytotal());
            user.setZyxtnum(resource.getZyxtnum());
            user.setZyjanum(resource.getZyjanum());
            user.setZykjnum(resource.getZykjnum());
            user.setZyscnum(resource.getZyscnum());
            user.setZyspnum(resource.getZyspnum());
            user.setZyywbnum(resource.getZyywbnum());
            user.setZyqtnum(resource.getZyqtnum());

            //课堂统计
            SchoolSummaryVo room = schoolSummaryMapper.getRoomAnalyze(params);
            Integer kttotal = room.getKttotal();
            user.setKttotal(kttotal);
            user.setKtquestionnum(room.getKtquestionnum());
            user.setKtexamnum(room.getKtexamnum());
            user.setKtasknum(room.getKtasknum());
            user.setKtcallnum(room.getKtcallnum());
            user.setKtpicnum(room.getKtpicnum());
            if (kttotal != 0) {
                RRoomVo rvo = schoolSummaryMapper.getRoom(params);
                user.setKttimes(rvo.getTotaltime());
                user.setKtavttime(N_Utils.formatAvg(rvo.getTotaltime(), kttotal));
                user.setKtsignrate(N_Utils.getIntegerDivideAndMulitiply(rvo.getRealstunum(), rvo.getClassnum()));
            }

            //预习统计
            SchoolSummaryVo preview = schoolSummaryMapper.getPreviewAnalyze(params);
            user.setYxfbnum(preview.getYxfbnum());
            stunum = preview.getYxstunum();
            user.setYxstunum(stunum);
            commitnum = preview.getYxcomitnum();
            user.setYxcomitnum(commitnum);
            user.setYxrate(N_Utils.getIntegerDivideAndMulitiply(commitnum, stunum));

            //背诵统计
            /*SchoolSummaryVo recite = schoolSummaryMapper.getReciteAnalyze(params);
            user.setBsfbnum(recite.getBsfbnum());
            stunum = recite.getBsstunum();
            user.setBsstunum(stunum);
            commitnum = preview.getBscomitnum();
            user.setBscomitnum(commitnum);
            user.setBsrate(N_Utils.getIntegerDivideAndMulitiply(commitnum, stunum));*/

            //错题辅导统计
            SchoolSummaryVo ctfd = schoolSummaryMapper.getErrorQuestionFdAnalyze(params);
            user.setCtfdnum(ctfd.getCtfdnum());
            user.setCtfdpjtime(ctfd.getCtfdpjtime());
        }
        return users;
    }
}
