package com.xhkjedu.sclass.mapper.classroom;

import com.xhkjedu.sclass.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomActivestudent;
import org.apache.ibatis.annotations.Param;

public interface ClassroomActivestudentMapper extends TkMapper<TClassroomActivestudent> {
    /**
     * 更新活跃值排名
     * @Param [roomid]
     * @Author ywx
     * @Date 2020/6/15 9:02
     * @return java.lang.Integer
     **/
    Integer updateActiveRank(@Param("roomid") Long roomid);

    /**
     * 更新学生活跃值
     * @Param [roomid, studentid]
     * @Author ywx
     * @Date 2020/6/15 9:05
     * @return java.lang.Integer
     **/
    Integer updateActiveNum(@Param("roomid") Long roomid, @Param("studentid") Integer studentid);

    /**
     * 添加学生课堂活跃度表信息
     * @Param [roomid, classid, schoolid]
     * @Author ywx
     * @Date 2020/6/15 9:49
     * @return java.lang.Integer
     **/
    Integer saveStuActive(@Param("roomid") Long roomid, @Param("classid") Integer classid,@Param("schoolid") Integer schoolid);
}