package com.xhkjedu.slive.mapper.liveplay;

import com.xhkjedu.slive.base.TkMapper;
import com.xhkjedu.slive.model.liveplay.LCourseSection;
import com.xhkjedu.slive.model.liveplay.LCourseSectionStudent;
import com.xhkjedu.slive.vo.liveplay.CSVStudentVo;
import com.xhkjedu.slive.vo.liveplay.CourseParams;
import com.xhkjedu.slive.vo.liveplay.CourseSectionVo;
import com.xhkjedu.slive.vo.liveplay.CourseVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CourseSectionMapper extends TkMapper<LCourseSection> {
    //课程课节列表
    List<CourseSectionVo> listByCourseId(@Param("courseid") Integer courseid,@Param("teacherid") Integer teacherid);

    //修改课节状态
    void updateState(@Param("section") LCourseSection section);

    //更新实际参加学生数量
    void updateStuNum(Integer sectionid);

    //课节统计
    Map<String, Integer> analyze(Integer sectionid, Integer classid);

    //修改课节回放信息
    //void updatePlayback(@Param("section") LCourseSection section);

    //根据日期获取教师课节列表
    List<CourseSectionVo> listByDate(@Param("section") LCourseSection section);
    //根据日期获取巡课课节列表
    List<CourseSectionVo> listXkByDate(@Param("section") CourseParams params);

    //修改教师上课时长
    void updateTime(@Param("section") LCourseSection section);

    //课节报告
    Map getReport(Integer sectionid);

    //课节观看列表
    List<Map> listView(@Param("section") LCourseSection section);
    //课程班级列表
    List<Map> listClass(Integer courseid);
    //获取课节时长和课程类型
    CourseVo getTotalTime(Integer sectionid);

    //课节观看列表2
    List<Map> listView2(@Param("section") LCourseSectionStudent section, Integer coursetype, String classids);

    //学生观看详情列表
    List<CSVStudentVo> listStuView(@Param("section") LCourseSectionStudent section);

    //课节提问列表
    List<Map> listAsk(Integer sectionid);

    //获取课节提问详情
    List<Map> listAskStu(String satid);
    Map listAskStu2(String satid);

    //获取课程教师id集合
    List<Integer> listTeacherId(Integer courseid);

    //获取要结束课节id集合
    String listEndSectionId();

    //结束课节
    void updateSectionState2(@Param("sectionids") String sectionids);
    //修改已过期课节状态
    void updateSectionState3();
    //更新课节学生在线状态为下线
    void updateStuOnLined(@Param("sectionids") String sectionids);

    //获取直播中用户id列表
    List<Integer> listUserId();

    //获取要结束的直播用户id列表
    List<Integer> listUserId2(@Param("sectionids") String sectionids);

    //获取直播中用户id列表
    List<Integer> listUserId3(@Param("sectionids") String sectionids);

    CourseVo getCourseBySectionId(Integer sectionid);

    //我的月份下日期课节数量
    List<Map> listMySectionDate(@Param("section") CourseParams params);
    //我的课程列表
    List<Map> listMySection(@Param("section") CourseParams params);

    //巡课详情
    Map xkDetail(Integer sectionid);

    //课程信息
    CourseVo getCourseById(Integer sectionid);

    //修改课节、课程名称， 时间，日期
    void myUpdate(@Param("section") LCourseSection section);

    //获取课程学生列表
    List<Map> listStudent(Integer classid, String studentname, Integer year);

    //学生课节日历
    List<Map> listStuSectionDate(@Param("section") CourseParams params);

    //学生课节列表
    List<Map> listStuByDate(@Param("section") CourseParams params);
}