package com.xhkjedu.sstudy.controller.paperstudent;

import com.xhkjedu.sstudy.model.paperstudent.TPaperGroup;
import com.xhkjedu.sstudy.service.paperstudent.PaperGroupService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import com.xhkjedu.sstudy.vo.paperstudent.PaperGroupParam;
import com.xhkjedu.sstudy.vo.paperstudent.PaperGroupVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @ClassName PaperGroupController
 * Description 作业--班级分组
 * Author WN
 * Date 2020/6/9 11:01
 **/
@RestController
@RequestMapping("/pg")
public class PaperGroupController {
    @Autowired
    private PaperGroupService paperGroupService;

    /**
     *功能描述  发布作业
     * @author WN
     * @date 2020/6/9
     * @param  * @param paperGroupParam
     * @return com.xhkjedu.vo.ResultVo
     */
    @PostMapping("/save")
    public ResultVo save(@RequestBody PaperGroupParam paperGroupParam){
        N_Utils.validation(new Object[]{paperGroupParam.getPaperid(),"作业id",1,paperGroupParam.getShowtype(),"公布答案",1,paperGroupParam.getClasslst(),"班级",1});
        return paperGroupService.savePaperGroup(paperGroupParam);
    }

    @PostMapping("/paper_student_list")
    public ResultVo listPaperStudent(@RequestBody TPaperGroup group) {
        Integer paperid = group.getPaperid();
        N_Utils.validation(new Object[]{paperid,"作业id",1});
        List<PaperGroupVo> list = paperGroupService.listPaperStudent(paperid);
        return new ResultVo(0,"获取参与作业学生列表成功",list);
    }
}
