package com.xhkjedu.sstudy.mapper.paperstudent;

import com.xhkjedu.sstudy.base.TkMapper;
import com.xhkjedu.sstudy.model.paperstudent.TPaperGroup;
import com.xhkjedu.sstudy.vo.paperstudent.PaperGroupVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName PaperGroupMapper
 * Description 作业班级表
 * Author WN
 * Date 2020/6/9 11:00
 **/
@Repository
public interface PaperGroupMapper extends TkMapper<TPaperGroup> {

    /**
     * 根据作业、分组id获取作业班级详情
     * @Param [paperid, groupid]
     * @Author ywx
     * @Date 2020/6/11 10:09
     * @return com.xhkjedu.model.paperstudent.TPaperGroup
     **/
    TPaperGroup selectByPaperAndClassId(Integer paperid, Integer classid);

    /**
     * 获取参与作业学生列表
     * @Param [paperid]
     * @Author ywx
     * @Date 2020/7/24 14:51
     * @return java.util.List<com.xhkjedu.vo.paperstudent.PaperGroupVo>
     **/
    List<PaperGroupVo> listPaperStudent(Integer paperid);

    /**
     * 批阅完成
     * @Param [paperid, classid]
     * @Author ywx
     * @Date 2020/8/20 9:50
     * @return void
     **/
    void updateChecked(Integer paperid, Integer classid);

    /**
     * 根据学生作业id获取作业是否完成批阅
     * @Param [psid]
     * @Author ywx
     * @Date 2020/8/26 14:56
     * @return java.lang.Integer
     **/
    Integer getCheckedByPsId(Integer psid);

    /**
     * 作业班级下未批阅学生作业数量
     * @Param [pg]
     * @Author ywx
     * @Date 2020/10/14 11:04
     * @return java.lang.Integer
     **/
    Integer getWpyNum(@Param("pg") TPaperGroup pg);
}
