package com.xhkjedu.sstudy.mapper.subjectbook;

import com.xhkjedu.sstudy.base.TkMapper;
import com.xhkjedu.sstudy.model.subjectbook.TSubject;
import com.xhkjedu.sstudy.vo.subjectbook.SubjectVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName SubjectMapper
 * Description 科目
 * Author WN
 * Date 2020/6/1 11:43
 **/
@Repository
public interface SubjectMapper extends TkMapper<TSubject> {

    /**
     *功能描述  获取阶段下所有科目
     * @author WN
     * @date 2020/6/1
     * @param  * @param level
     * @return java.util.List<com.xhkjedu.model.subjectbook.TSubject>
     */
    List<TSubject> listSubjects(@Param("subject") TSubject subject);

    /**
     *功能描述 获取阶段下所有科目--为选择框使用
     * @author WN
     * @date 2020/6/1
     * @param  * @param schoolid
     * @return java.util.List<com.xhkjedu.vo.subjectbook.SubjectVo>
     */
    List<SubjectVo> listSubjectsForSel(@Param("subject") TSubject subject);

    /**
     * 根据学段id获取科目id集合
     * @Param [level]
     * @Author ywx
     * @Date 2020/6/8 9:59
     * @return java.lang.String
     **/
    String getSubjectIds(@Param("level") Integer level);

    /**
     * 教师科目集合
     * @Param [teacherid]
     * @Author ywx
     * @Date 2020/6/28 9:32
     * @return java.util.List<com.xhkjedu.model.subjectbook.TSubject>
     **/
    List<TSubject> listTeacherSubjects(Integer teacherid);

    //查找使用科目的模块
    String findUseModule(String subjectid);

    //获取科目名称
    String getNameById(String subjectid);

    //获取科目id名称列表
    List<Map> listSubject(Integer schoolid, Integer level);
}
