package com.xhkjedu.sstudy.model.paper;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_paper")
@Data
public class TPaper extends BaseBean {
    //作业表
    @Id
    private Integer paperid;

    //作业名称
    private String papername;

    //试题数量
    private Integer papernum;

    //作业总分
    private Double paperscore;

    //科目id
    private String subjectid;

    //关联关系id
    private String lsbid;

    //章节id
    private String directorid;

    //作业类型1结构性试题2自定义答题卡
    private Integer papertype;

    //作业分类1课前2课后
    private Integer paperclass;

    //作业状态：21未布置 22 已布置
    private Integer paperstate;

    //批改方式1教师批改2学生互改3指定学生批改4自动批改
    private Integer checktype;

    //作业说明
    private String comm;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //作业附件
    @Transient
    private List<TPaperFile> pfiles = new ArrayList<>();

    //答题卡种试题json对象集合
    @Transient
    private String questionStr;

    //作业开始时间
    @Transient
    private Integer starttime;

    //作业截至时间
    @Transient
    private Integer stoptime;

    //班级id
    @Transient
    private Integer classid;

    //排序字段
    @Transient
    private String fieldname;

    //排序规则：正序asc 倒序desc
    @Transient
    private String fieldorder;
}
