package com.xhkjedu.sstudy.model.question;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_question_student")
@Data
public class TQuestionStudent extends BaseBean {
    //学生错题表主键
    @Id
    private Integer qsid;

    //试题id
    private String questionid;

    //学生id
    private Integer studentid;

    //错误次数
    private Integer errornum;

    //是否删除：0未删除1已删除
    private Integer delstate;

    //最近一次错误时间
    private Integer handletime;

    //科目id
    private String subjectid;

    @Transient
    //作答结果 1正确 2错误
    private Integer corrected;

    @Transient
    //教材关联id
    private String lsbid;

    @Transient
    //章节id
    private String directorid;

    //试题类型1题库2答题卡
    private Integer qctype;

    //试题题型id
    private String qtypeid;

    //试题在作业中题号
    private Integer qorder;

    //学生答案
    private String useranswer;

    //学生答案富文本
    private String useranswertext;

    //答案纯文本
    private String useranswertxt;

    //设备1选择、图片(useranswer) 2富文本(useranswertext)3纯文本(useranswertxt)
    private Integer device;

    //试题分值
    private Double qscore;

    //学生得分
    private Double stuscore;

    //得分率
    private double scorerate;

    //试卷id
    private Long paperid;

    @Transient
    //开始时间
    private Integer starttime;

    @Transient
    //截至时间
    private Integer stoptime;
}
