package com.xhkjedu.sstudy.service.recite;

import com.xhkjedu.sstudy.mapper.recite.ReciteGroupMapper;
import com.xhkjedu.sstudy.mapper.recite.ReciteStudentMapper;
import com.xhkjedu.sstudy.model.recite.TReciteGroup;
import com.xhkjedu.sstudy.model.recite.TReciteStudent;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.sstudy.vo.recite.ReciteClassAnalyzeVo;
import com.xhkjedu.sstudy.vo.recite.ReciteStudentVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName ReciteStudentService
 * Description TODO
 * Author WN
 * Date 2020/6/10 14:38
 **/
@Service
public class ReciteStudentService {
    @Autowired
    private ReciteStudentMapper reciteStudentMapper;
    @Autowired
    private ReciteGroupMapper reciteGroupMapper;

    /**
     *功能描述 列表--学生
     * @author WN
     * @date 2020/6/10
     * @param  * @param rs
     * @return java.util.List<com.xhkjedu.vo.recite.ReciteStudentVo>
     */
    public List<ReciteStudentVo> listStuReceites(TReciteStudent rs){
        return reciteStudentMapper.listStuReceites(rs);
    }

    /**
     *功能描述 保存--学生保存背诵内容
     * @author WN
     * @date 2020/6/10
     * @param  * @param rs
     * @return java.lang.Integer
     */
    public Integer updateStudRecite(TReciteStudent rs){
        TReciteGroup rg = reciteGroupMapper.findByRsId(rs.getReciteid());
        Integer nowtime = N_Utils.getSecondTimestamp();
        if(rg.getStoptime()>=nowtime){
            rs.setRsstate(1);//准时提交
        }else{
            rs.setRsstate(2);//超时提交
        }

        return reciteStudentMapper.updateStudRecite(rs);
    }

    /**
     *功能描述 详情--根据学生背诵id获取背诵内容
     * @author WN
     * @date 2020/6/10
     * @param  * @param rsid
     * @param reciteid
     * @return com.xhkjedu.vo.recite.ReciteStudentVo
     */
    public ReciteStudentVo getReciteStuByRsid(Integer studentid, Integer reciteid){
        return reciteStudentMapper.getReciteStuByRsid(studentid, reciteid);
    }

    public List<ReciteClassAnalyzeVo> listRecitesClassForAnalyze(Integer reciteid,Integer classid){
        return reciteStudentMapper.listRecitesClassForAnalyze(reciteid,classid);
    }


    /**
     * 背诵学生--网页--列表
     * @Param [student]
     * @Author ywx
     * @Date 2020/9/4 9:08
     * @return java.util.List<com.xhkjedu.vo.recite.ReciteStudentVo>
     **/
    public List<ReciteStudentVo> listReciteStuWeb(TReciteStudent student) {
        return reciteStudentMapper.listReciteForStuWeb(student);
    }
}
