package com.xhkjedu.sstudy.task;

import com.xhkjedu.sstudy.service.paperstudent.PaperStudentService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @ClassName PaperStudentTask
 * Description 学生作业，如果是截至时间到时显示答案，定时任务处理
 * Author WN
 * Date 2020/10/13 15:32
 **/
@Slf4j
@Component
public class PaperStudentTask {

    @Autowired
    private PaperStudentService paperStudentService;

    @Async("threadPoolTaskScheduler")
    @Scheduled(cron = "${cron.updatePaperStuShowanswer}")
    public void updatePaperStuShowanswer(){
        paperStudentService.updateShowanswer();
    }

}
