package com.xhkjedu.suser.model.system;

import com.xhkjedu.suser.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * 功能描述  用户表
 *
 * @author WN
 * @date 2020/5/29
 * @return
 */
@Table(name = "t_user")
@Data
public class TUser extends BaseBean {
    //用户表
    @Id
    private Integer userid;

    //姓名
    private String username;

    //登录账号
    private String loginname;

    //学生学号
    private String studentno;

    //登录密码
    private String loginpwd;

    //用户手机号
    private String userphone;

    //出生日期
    private Integer userbirthday;

    //身份证号
    private String cardid;

    //头像地址
    private String headpic;

    //修改头像时间
    private Integer headtime;

    //用户类型999超级管理员0学校管理员1老师2学生
    private Integer usertype;

    //用户状态1正常2删除3已毕业
    private Integer userstate;

    //是否绑定硬件地址0不绑定1绑定
    private Integer bindmac;

    //硬件地址
    private String mac;

    //操作密码（教师操作密码）
    private String opepassword;

    //有效期
    private String usertime;

    //是否绑定手机号0未绑定1已绑定
    private Integer bindphoned;

    //是否绑定密保0未绑定1已绑定
    private Integer bindsecret;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //删除人id
    private Integer deleteid;

    //删除时间
    private Integer deletetime;

    //学校id
    private Integer schoolid;

    //性别1男2女
    private Integer usersex;

    @Transient
    //原登录密码
    private String oldpwd;

    @Transient
    //验证码
    private Integer msgcode;

    @Transient
    //登录ip
    private String logip;

    @Transient
    //登录地址
    private String logaddress;

    @Transient
    //登录终端设备
    private String ultype;

    @Transient
    //版本号
    private String versionnum;

    @Transient
    //班级类型1行政班2提高班3直播班99已直播班级
    private Integer classtype;

    @Transient
    //用户类型集合
    private List<Integer> usertypes;

    @Transient
    private Integer grageid;//年级

    @Transient
    private Integer classid;//班级id

    @Transient
    private String classname;//班级

    @Transient
    private Integer groupid;//班级分组

    @Transient
    private Integer year;//年份

    @Transient
    private List<Integer> classids;//班级ids
}
